AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI.Command
SetAutoHangupCommand Class
SetAutoHangupCommand Constructor
SetAutoHangupCommand Methods
SetAutoHangupCommand Properties

| SetAutoHangupCommand Class

Cause the channel to automatically hangup at the given number of seconds in the future.
Of course it can be hungup before then as well. Setting to 0 will cause the autohangup feature to be disabled on this channel.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.Command
AGICommand
AsterNET.FastAGI.Command
SetAutoHangupCommand

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class SetAutoHangupCommand : AGICommand

    Public Class SetAutoHangupCommand
    	Inherits AGICommand

    public ref class SetAutoHangupCommand : public AGICommand

    type SetAutoHangupCommand =
        class
            inherit AGICommand
        end

The SetAutoHangupCommand type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| SetAutoHangupCommand | Creates a new SetAutoHangupCommand.

Top
Methods

| Name | Description
--- | --- | ---
| BuildCommand | (Overrides AGICommand BuildCommand .)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| EscapeAndQuote | (Inherited from AGICommand.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from AGICommand.)

Top
Properties

| Name | Description
--- | --- | ---
| Time | Get/Set the number of seconds before this channel is automatically hung up.

Top
See Also

#### Reference

AsterNET.FastAGI.Command Namespace